Skip to main content

Call from waitlist

POST{{server}}/api/v1/counter/callFromList

To call a ticket from local or global waitlist, use this endpoint with ticket parameter in the body or URL parameters. To get the ticket key, you should call the "List tickets on local/global waitlist" endpoint and use the key value of the chosen ticket.

If the ticket exists, it returns all information of the ticket.

Request​

Authorization​

HeaderValue
AuthorizationBearer {{counterToken}}

Headers​

KeyValue
Acceptapplication/json
X-WSID{{counterWsID}}

Body (json)​

{
"ticket": "{{ticketKey}}"
}

Code snippets​

curl -X POST '{{server}}/api/v1/counter/callFromList' \
-H 'Accept: application/json' \
-H 'X-WSID: {{counterWsID}}' \
-H 'Authorization: Bearer {{counterToken}}' \
-H 'Content-Type: application/json' \
-d '{
"ticket": "{{ticketKey}}"
}'

Example​

Example request
POST{{server}}/api/v1/counter/callFromList
Headers (2)
KeyValue
Acceptapplication/json
X-WSID{{counterWsID}}
Body
{
"ticket": "1905e46f-70d2-4eae-2f9e-74b47f09b6b2"
}
Example response 200 Ok
Response headers (9)
KeyValue
Access-Control-Expose-Headers*
Cache-Controlno-store, no-cache, must-revalidate
Access-Control-Allow-Origin*
Access-Control-Allow-MethodsPOST, PUT, GET, OPTIONS, DELETE
Access-Control-Allow-Credentialstrue
Content-Length1492
Access-Control-Max-Age86400
Access-Control-Allow-HeadersContent-Type, Authorization, X-Requested-With
Content-Typeapplication/json;charset=utf-8
Body
{
"key": "1905e46f-70d2-4eae-2f9e-74b47f09b6b2",
"status": 30,
"user": "00000000-0000-4000-0002-000000000006",
"counter": "00000000-0000-4000-0010-000000000003",
"calls": 2,
"statusTime": 1719576862455,
"reserved": false,
"history": {
"00000000-0000-4000-0002-000000000007": "00000000-0000-4000-0007-000000000001"
},
"language": "00000000-0000-4000-0004-000000000001",
"createdAt": 1719568627468,
"number": "002",
"bookingCode": null,
"crm": null,
"createType": 1,
"comments": null,
"customerData": {},
"priority": 5,
"transactionTimeSum": 4368,
"waitingTimeSum": 0,
"recording": 0,
"customerName": null,
"tasks": [
{
"type": 7,
"key": "1905e46f-70c4-4ebc-a920-6d7e89cf3e5e",
"subType": 1,
"name": "Service 1",
"statName": null,
"ticketLayout": null,
"numberInterval": "00000000-0000-4000-0019-000000000001",
"priority": 5,
"features": {
"afterwork": false,
"clerkSelection": false,
"customerIdentification": 0
},
"texts": {
"00000000-0000-4000-0004-000000000001": {
"name": "Service 1",
"explanation": null,
"comment": null
},
"00000000-0000-4000-0004-000000000017": {
"name": "Feladat 1",
"explanation": null,
"comment": null
}
},
"codes": [
"00000000-0000-4000-0013-000000000006",
"00000000-0000-4000-0013-000000000007",
"00000000-0000-4000-0013-000000000008",
"00000000-0000-4000-0013-000000000009",
"00000000-0000-4000-0013-000000000010"
],
"status": 20,
"aspect": null,
"normalDelay": 120,
"forcedDelay": 300,
"services": [],
"time": 1702039295628,
"": null,
"service": "00000000-0000-4000-0007-000000000001",
"createType": 1,
"createdAt": 1719568627468,
"statusTime": 1719575035931,
"zero": false,
"user": null
}
]
}